/*
 * This file is part of the TuxNES project codebase.
 *
 * Please see the README and COPYING files for more information regarding
 * this project.
 *
 * $Id: controller_linux.h,v 1.2 2004/07/28 21:15:42 cheako Exp $
 *
 * Description: This file handles joystick input for linux joystick.
 */

#ifdef HAVE_LINUX_JOYSTICK_H
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdlib.h>
#include <errno.h>
#include <linux/joystick.h>

void InitJoystickLinux(int stick);
void HandleJoystickLinux(int stick);
void ShutdownJoystickLinux(int stick);
#endif /* HAVE_LINUX_JOYSTICK_H */
